A.N.Variation

Affected Next Variation

RailsにjQuery-uiを導入するときの注意点 導入方法 エラーを解決


こんにちは、中川です。

Ruby on Railsの勉強も少しずつ進んで、今はCoffeeScriptというものを勉強しています。
CoffeeScriptはJavascriptをより簡潔に書くことができる高級言語だそうな。
RailsでJavascriptを利用する際にはCoffeeScriptを使えということでしょう。

さてさて本題。
CoffeeScript入門
というサイトを使って勉強を進めていたのですが、
第2回: 正方形をドラッグ可能にする
でつまずいてしまいました。

jQuery-uiをrequireしたら、そんなファイルないよ!って怒られちゃいました。

どうやら、bundel installでjQuery-uiをインストールできてなかったようです。
以下、解決方法を記します。

①Gemfileに以下を追加して bundle update と bundle install を実行。

これで、jQuery-uiが使えるようになりました。

もしうまくいかなかった場合は以下のサイトを参考にしてみてください。
RailsにjQuery-uiを導入するときの注意